package com.mortals.xhx.module.child.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetEntity;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetQuery;
import com.mortals.xhx.module.child.model.ChildLicenseInfoFieldEntity;

import java.util.List;

/**
 * 行业许可子证数据集Dao
 * 行业许可子证数据集 DAO接口
 *
 * @author zxfei
 * @date 2024-07-27
 */

public interface ChildLicenseDatasetDao extends ICRUDDao<ChildLicenseDatasetEntity, Long> {

    String SQLID_CUSTOM_LIST = "getCustomList";
    String SQLID_CUSTOM_COUNT = "getCustomListCount";

    Result<ChildLicenseInfoFieldEntity> getCustomList(ChildLicenseDatasetQuery appDatasetQuery, PageInfo pageInfo);
}
