package com.mortals.xhx.module.child.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.child.model.vo.ChildLicenseDatasetVo;
import com.mortals.xhx.module.child.model.ChildLicenseInfoFieldEntity;
import lombok.Data;
/**
* 行业许可子证数据集实体对象
*
* @author zxfei
* @date 2024-07-27
*/
@Data
public class ChildLicenseDatasetEntity extends ChildLicenseDatasetVo {
    private static final long serialVersionUID = 1L;

    /**
    * 许可子证Id
    */
    private Long subLicenseId;
    /**
    * 行业许可子证信息字段信息
    */
    private List<ChildLicenseInfoFieldEntity> childLicenseInfoFieldList=new ArrayList<>();;
    public List<ChildLicenseInfoFieldEntity> getChildLicenseInfoFieldList(){
      return childLicenseInfoFieldList;
    }

    public void setChildLicenseInfoFieldList(List<ChildLicenseInfoFieldEntity> childLicenseInfoFieldList){
        this.childLicenseInfoFieldList = childLicenseInfoFieldList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ChildLicenseDatasetEntity) {
            ChildLicenseDatasetEntity tmp = (ChildLicenseDatasetEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.subLicenseId = null;
    }
}